%define nam     gdome2
%define ver     0.6.9
%define rel     1


Summary:        gdome2 is a DOM Level2 implementation based on libxml2
Name:           %nam
Version:        %ver
Release:        %rel
Copyright:      LGPL
Group:          Development/Libraries
URL:            http://www.cs.unibo.it/~casarini/gdome2/
Source:         http://www.cs.unibo.it/~casarini/gdome2/tarball/%{nam}-%{ver}.tar.gz
BuildRoot:      /var/tmp/%{nam}-%{ver}-root

BuildRequires:  libxml2-devel >= 2.4.1
Requires:       glib >= 1.2.0
Requires:       libxml2 >= 2.4.1

%description 
gdome2 is a DOM level2 implementation based on libxml2, for the GNOME
project. A DOM implementation (also called a host implementation) is
that piece of software which takes a parsed XML or HTML document and
makes it available for processing via the DOM interfaces. 

%package devel
Summary: Development package for gdome2
Group: Development/Libraries
Requires: gdome2 = %{ver}
Requires: glib-devel >= 1.2.0
Requires: libxml2-devel >= 2.4.1

%description devel
Libraries, include files, which allow development of applications using
the gdome2 DOM API.

%changelog
* Mon Aug 6 2001 Paolo Casarini <paolo@casarini.org>
  - Merge of the Andrew release with mine
* Thu Aug 2 2001 Andrew Chatham <andrew.chatham@duke.edu>
  - Spec file created
* Tue Jul 3 2001 Paolo Casarini <paolo@casarini.org>
  - Initial release

%prep
%setup -q

%build
if [ ! -f configure ]; then
  ./autogen.sh --prefix=%{_prefix} --localstatedir=/var/lib
fi

%configure --localstatedir=/var/lib

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS MAINTAINERS ChangeLog INSTALL NEWS README COPYING COPYING.LIB
%{_libdir}/lib*.so.*

%files devel
%doc gtk-doc/html/*.html
%defattr(-, root, root)
%{_bindir}/gdome-config
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/*.sh
